%define upstream_name	 IPC-Run
%define upstream_version 0.92

%define _requires_exceptions Win32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Pty) >= 1.80.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
IPC::Run allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed.

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes
chmod 755 eg/*
perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' eg/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO eg
%{perl_vendorlib}/IPC
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.920.0-2.mga3
+ Revision: 368642
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.920.0-1.mga3
+ Revision: 286202
- update to 0.92

* Thu Feb 23 2012 jquelin <jquelin> 0.910.0-1.mga2
+ Revision: 212967
- update to 0.91

* Fri Jul 08 2011 jquelin <jquelin> 0.900.0-1.mga2
+ Revision: 120411
- update to 0.90

* Fri Jan 21 2011 jquelin <jquelin> 0.890.0-2.mga1
+ Revision: 29379
- rebuild
- imported package perl-IPC-Run

